# Created by pyp2rpm-1.0.1
%global pypi_name certifi
%define version 2015.11.20.1
%define normalized_version %(python -c 'import pkg_resources; print(pkg_resources.packaging.version.Version("%version"))')

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python package for providing Mozilla's CA Bundle

License:        ISC
Source0:        https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
`Certifi`_ is a carefully curated collection of Root Certificates for
validating the trustworthiness of SSL certificates while verifying the
identity of TLS hosts.  It has been extracted from the `Requests`_
project.

%package -n     python3-%{pypi_name}
Summary:        Python 3 package for providing Mozilla's CA Bundle
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
`Certifi`_ is a carefully curated collection of Root Certificates for
validating the trustworthiness of SSL certificates while verifying the
identity of TLS hosts.  It has been extracted from the `Requests`_
project.
This is the Python 3 build of %{pypi_name}.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc README.rst
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}-%{normalized_version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{normalized_version}-py?.?.egg-info


%changelog
* Thu Dec 17 2015 daviddavid <daviddavid> 2015.11.20.1-1.mga6
+ Revision: 911455
- new version: 2015.11.20.1
- use new python macros
- add doc files

* Wed Oct 07 2015 joequant <joequant> 2015.04.28-3.mga6
+ Revision: 886951
- upgrade to 3.5

* Sun Oct 04 2015 blino <blino> 2015.04.28-2.mga6
+ Revision: 886080
- fix build with latest setuptools by using normalized version

* Mon Jun 29 2015 joequant <joequant> 2015.04.28-1.mga6
+ Revision: 847751
- add setuptools
- upgrade to 2015.04.28

* Wed Oct 15 2014 umeabot <umeabot> 0.0.8-9.mga6
+ Revision: 744342
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.8-8.mga5
+ Revision: 728174
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.8-7.mga5
+ Revision: 687922
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.0.8-5.mga4
+ Revision: 543041
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.0.8-4.mga4
+ Revision: 498202
- Rebuild to add different pythonegg provides for python 2 and 3

  + philippem <philippem>
    - cleaning

* Sun Jan 13 2013 umeabot <umeabot> 0.0.8-2.mga3
+ Revision: 378537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 ovitters <ovitters> 0.0.8-1.mga3
+ Revision: 278155
- clean spec
- Import from Mandriva


* Wed Apr 25 2012 Lev Givon <lev@mandriva.org> 0.0.8-1
+ Revision: 793430
- imported package python-certifi

